### Method

# Vips Image free_buffer

#### Declaration [src]

    void
    vips_image_free_buffer (
      VipsImage* image,
      void* buffer
    )

#### Description [src]

Free the externally allocated buffer found in the input image. This function is intended to be used with g_signal_connect.

#### Parameters

`buffer`

  Type: `void*`

  The original buffer that was stolen.

  The argument can be `NULL`.
  The data is owned by the caller of the method.